package de.XPortLib.Interfaces;

import de.XPortLib.TimerEvent;
import de.XPortLib.Exceptions.DataTransmissionException;
import de.XPortLib.Exceptions.TCPCommunicationException;

public interface XPortCallbackIF {
	public void updateRelaisStatus(boolean[] status);
	public void updateTimer(TimerEvent timer);
	public void updateTimers(TimerEvent[] timers);
	public void updateTimerCount(int count);
	public void exceptionOccoured(TCPCommunicationException e);
	public void exceptionOccoured(DataTransmissionException e);
}
